#!/usr/bin/env python

from distutils.core import setup
from distutils.command.install_data import install_data

class smart_install_data(install_data):
    def run(self):
        install_cmd = self.get_finalized_command('install')
        self.install_dir = getattr(install_cmd, 'install_lib')
        return install_data.run(self)

setup(
    name = 'VDJMLpy',
    version            = '0.1.3',
    description        = 'serializes and parses results of immune receptor sequence alignment in VDJML format',
    long_description   = 'serializes and parses results of immune receptor sequence alignment in VDJML format',
    license            = 'The Boost Software License, Version 1.0',
    author             = [ 'Mikhail K. Levin', 'Edward A. Salinas'],
    author_email       = 'mlevin@svarnetics.org',
    url                = 'https://bitbucket.org/vdjserver/vdjml',
    packages           = ['vdjml'],
    cmdclass           = {'install_data' : smart_install_data},
    platforms          = ['LINUX'],
    data_files         = [('vdjml', [
       'vdjml/libboost_python.so.1.55.0',
       'vdjml/libboost_python.so',
       'vdjml/libboost_python.so.1',
       'vdjml/libboost_python.so.1.55',
       'vdjml/libboost_iostreams.so.1.55.0',
       'vdjml/libboost_iostreams.so',
       'vdjml/libboost_iostreams.so.1',
       'vdjml/libboost_iostreams.so.1.55',
       'vdjml/libxml2-clang35-2_9.so',
       'vdjml/libboost_date_time.so.1.55.0',
       'vdjml/libboost_date_time.so',
       'vdjml/libboost_date_time.so.1',
       'vdjml/libboost_date_time.so.1.55',
       'vdjml/libboost_system.so.1.55.0',
       'vdjml/libboost_system.so',
       'vdjml/libboost_system.so.1',
       'vdjml/libboost_system.so.1.55',
       'vdjml/libboost_filesystem.so.1.55.0',
       'vdjml/libboost_filesystem.so',
       'vdjml/libboost_filesystem.so.1',
       'vdjml/libboost_filesystem.so.1.55',
       'vdjml/libvdjml.so',
       'vdjml/_vdjml_py.so',
       'vdjml/igblast_parse.py',
    ] )]
)
